Status: Closed   

Priority: Normal   

Category:    

Customer: VW Product Issue

Numbers:

 

Department: EKTL Affected Products: ADTF 2.13.2, ADTF 2.14.3

Requester's Priority: Normal Platform: Windows 7 64bit

Support Level: 2nd Level Topic: ADTF::Common

Resolution: No Customer Feedback FAQ Links:  

Description

Supportanfrage

Bei meiner Arbeit komme ich immer wieder in Konflikt mit älteren Ressourcen (kompilierte Filter für z.B. ADTF V2.13) in neuen

Versionen (z.B. schon in 2.14).

Nun ist es ja aus Nutzersicht unerfreulich, wenn man nach dem Update auf eine aktuellere Version bereits bestehende Ressourcen

nicht übernehmen kann. Genauso unerfreulich ist es, wenn man sich einen ggf große Filterbibliothek erstellt hat, die dann bei jeder

Folgeversion anzupassen ist.

Deswegen meine Fragen.

Wie ist das generelle Kompatibilitätskonzept? Ist das ein Effekt älterer Versionen oder ist das aus irgendeinem Grund immer so?

Haben Sie Tipps/Tricks oder Hinweise, wie man mit diesen Problemen umgehen kann?

Ist es möglich zeitgleich mehrere Instanzen von ADTF in verschiedenen Versionen laufen zu lassen?

Lösung

ADTF ist nur abwärtskompatibel (Source und Binär), nicht aufwärtskompatibel. Das heißt du kannst Filter, die mit älteren ADTF

Versionen erstellt wurden, in neueren ADTF Versionen laden und verwenden. Andersherum aber nicht.

Das heißt um einen Filter sowohl in ADTF 2.13 als auch in 2.14 einsetzen zu können, muss er zwingend mit einer Version <= 2.13

erstellt worden sein.

History

#1 - 2020-09-18 08:46 - hidden

- Project changed from Public Support to 20

- Status changed from New to Customer Feedback Required

- Topic set to ADTF::Common

- Customer set to VW

- Department set to EKTL

- Affected Products ADTF 2.13.2, ADTF 2.14.3 added

- Platform Windows 7 64bit added

Hallo Wenzel,

grundsätzlich sollte es durchaus möglich sein erstellte Filter aus einer ADTF 2.13.x Version in ADTF 2.14.x zu verwenden.

Es wurde bei den Versionen immer auf eine Abwärtskompatibilität geachtet.

Kannst Du uns hierzu bitte mehr Details geben?

Was für Filter sind das?

Welche Fehler treten auf?

Wie äußern sich diese?

Welche Fehlermeldungen werden ausgegeben?

Ja, es sollte möglich sein mehrere Instanzen von ADTF in verschiedenen Versionen laufen zu lassen.

Das kann aber natürlich je nach Einsatz und Auslastung auf den Rechner durchaus an Grenzen stoßen.
Viele Grüße

Matthias

#2 - 2020-09-18 13:30 - hidden

Hallo,

Was sind das für Filter?

-          selbst implementierter und kompilierter Datenfilter

Welche Fehler treten auf?

-          Kompilieren mit Visual Studio, Integrieren des Filters in ADTF 2.14.3 funktioniert, in 2.13.1 funktioniert es nicht (Ablage der .plb in dem addons

Ordner)

Fehlermeldung?

-           „Could not register plugin <ADTF DIR>/addons/…plb“; erscheint deshalb nicht im Component Tree

Gruß

Wenzel

#3 - 2020-09-21 10:11 - hidden

- Status changed from Customer Feedback Required to In Progress

#4 - 2020-09-21 11:16 - hidden

Hallo Wenzel,

Wenzel Steinbach wrote:

Welche Fehler treten auf?

-          Kompilieren mit Visual Studio, Integrieren des Filters in ADTF 2.14.3 funktioniert, in 2.13.1 funktioniert es nicht (Ablage der .plb in dem

addons Ordner)

Fehlermeldung?

-           „Could not register plugin <ADTF DIR>/addons/…plb“; erscheint deshalb nicht im Component Tree

 ADTF ist nur abwärtskompatibel (Source und Binär), nicht aufwärtskompatibel. Das heißt du kannst Filter, die mit älteren ADTF Versionen erstellt

wurden, in neueren ADTF Versionen laden und verwenden. Andersherum aber nicht.

Das heißt um einen Filter sowohl in ADTF 2.13 als auch in 2.14 einsetzen zu können, muss er zwingend mit einer Version <= 2.13 erstellt worden

sein.

Grüße,

Martin

#5 - 2020-09-30 09:31 - hidden

- Status changed from In Progress to Customer Feedback Required

#7 - 2020-10-09 09:19 - hidden

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to No Customer Feedback

#8 - 2020-10-09 12:56 - hidden

- Project changed from 20 to Public Support

- Subject changed from Versionskonflikte ADTF to Version issues in ADTF 2

- Description updated

- Private changed from Yes to No

#9 - 2022-01-17 08:17 - hidden

- Status changed from To Be Closed to Closed
